org.wildfly.swarm.config

## Class Transactions<T extends Transactions<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.Transactions<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map
  Direct Known Subclasses:
    TransactionsFraction

      public class Transactions<T extends Transactions<T>>
      extends HashMap

  The configuration of the transaction subsystem.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Transactions.TransactionsResources` Child mutators for Transactions

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Transactions()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `T` | `commitMarkableResource(CommitMarkableResource value)` Add the CommitMarkableResource object to the list of subresources
    `T` | `commitMarkableResource(CommitMarkableResourceSupplier supplier)` Install a supplied CommitMarkableResource object to the list of subresources
    `T` | `commitMarkableResource(String childKey)` Create and configure a CommitMarkableResource object to the list of subresources
    `T` | `commitMarkableResource(String childKey, CommitMarkableResourceConsumer consumer)` Create and configure a CommitMarkableResource object to the list of subresources
    `T` | `commitMarkableResources(List<CommitMarkableResource> value)` Add all CommitMarkableResource objects to this subresource
    `Integer` | `defaultTimeout()` The default timeout.
    `T` | `defaultTimeout(Integer value)` The default timeout.
    `Boolean` | `enableTsmStatus()` Whether the transaction status manager (TSM) service, needed for out of process recovery, should be provided or not..
    `T` | `enableTsmStatus(Boolean value)` Whether the transaction status manager (TSM) service, needed for out of process recovery, should be provided or not..
    `String` | `getKey()`
    `Boolean` | `jdbcActionStoreDropTable()` Configure if jdbc action store should drop tables.
    `T` | `jdbcActionStoreDropTable(Boolean value)` Configure if jdbc action store should drop tables.
    `String` | `jdbcActionStoreTablePrefix()` Optional prefix for table used to write transcation logs in configured jdbc action store.
    `T` | `jdbcActionStoreTablePrefix(String value)` Optional prefix for table used to write transcation logs in configured jdbc action store.
    `Boolean` | `jdbcCommunicationStoreDropTable()` Configure if jdbc communication store should drop tables.
    `T` | `jdbcCommunicationStoreDropTable(Boolean value)` Configure if jdbc communication store should drop tables.
    `String` | `jdbcCommunicationStoreTablePrefix()` Optional prefix for table used to write transcation logs in configured jdbc communication store.
    `T` | `jdbcCommunicationStoreTablePrefix(String value)` Optional prefix for table used to write transcation logs in configured jdbc communication store.
    `Boolean` | `jdbcStateStoreDropTable()` Configure if jdbc state store should drop tables.
    `T` | `jdbcStateStoreDropTable(Boolean value)` Configure if jdbc state store should drop tables.
    `String` | `jdbcStateStoreTablePrefix()` Optional prefix for table used to write transcation logs in configured jdbc state store.
    `T` | `jdbcStateStoreTablePrefix(String value)` Optional prefix for table used to write transcation logs in configured jdbc state store.
    `String` | `jdbcStoreDatasource()` Jndi name of non-XA datasource used.
    `T` | `jdbcStoreDatasource(String value)` Jndi name of non-XA datasource used.
    `Boolean` | `journalStoreEnableAsyncIo()` Whether AsyncIO should be enabled for the journal store.
    `T` | `journalStoreEnableAsyncIo(Boolean value)` Whether AsyncIO should be enabled for the journal store.
    `Boolean` | `jts()` If true this enables the Java Transaction Service.
    `T` | `jts(Boolean value)` If true this enables the Java Transaction Service.
    `T` | `logStore()` Representation of the transaction logging storage mechanism.
    `T` | `logStore(LogStore value)` Representation of the transaction logging storage mechanism.
    `T` | `logStore(LogStoreConsumer consumer)` Representation of the transaction logging storage mechanism.
    `T` | `logStore(LogStoreSupplier supplier)` Representation of the transaction logging storage mechanism.
    `String` | `nodeIdentifier()` Used to set the node identifier on the core environment.
    `T` | `nodeIdentifier(String value)` Used to set the node identifier on the core environment.
    `Long` | `numberOfAbortedTransactions()` The number of aborted (i.e.
    `T` | `numberOfAbortedTransactions(Long value)` The number of aborted (i.e.
    `Long` | `numberOfApplicationRollbacks()` The number of transactions that have been rolled back by application request.
    `T` | `numberOfApplicationRollbacks(Long value)` The number of transactions that have been rolled back by application request.
    `Long` | `numberOfCommittedTransactions()` The number of committed transactions.
    `T` | `numberOfCommittedTransactions(Long value)` The number of committed transactions.
    `Long` | `numberOfHeuristics()` The number of transactions which have terminated with heuristic outcomes.
    `T` | `numberOfHeuristics(Long value)` The number of transactions which have terminated with heuristic outcomes.
    `Long` | `numberOfInflightTransactions()` The number of transactions that have begun but not yet terminated.
    `T` | `numberOfInflightTransactions(Long value)` The number of transactions that have begun but not yet terminated.
    `Long` | `numberOfNestedTransactions()` The total number of nested (sub) transactions created.
    `T` | `numberOfNestedTransactions(Long value)` The total number of nested (sub) transactions created.
    `Long` | `numberOfResourceRollbacks()` The number of transactions that rolled back due to resource (participant) failure.
    `T` | `numberOfResourceRollbacks(Long value)` The number of transactions that rolled back due to resource (participant) failure.
    `Long` | `numberOfTimedOutTransactions()` The number of transactions that have rolled back due to timeout.
    `T` | `numberOfTimedOutTransactions(Long value)` The number of transactions that have rolled back due to timeout.
    `Long` | `numberOfTransactions()` The total number of transactions (top-level and nested) created
    `T` | `numberOfTransactions(Long value)` The total number of transactions (top-level and nested) created
    `String` | `objectStorePath()` Denotes a relative or absolute filesystem path denoting where the transaction manager object store should store data.
    `T` | `objectStorePath(String value)` Denotes a relative or absolute filesystem path denoting where the transaction manager object store should store data.
    `String` | `objectStoreRelativeTo()` References a global path configuration in the domain model, defaulting to the JBoss Application Server data directory (jboss.server.data.dir).
    `T` | `objectStoreRelativeTo(String value)` References a global path configuration in the domain model, defaulting to the JBoss Application Server data directory (jboss.server.data.dir).
    `String` | `processIdSocketBinding()` The name of the socket binding configuration to use if the transaction manager should use a socket-based process id.
    `T` | `processIdSocketBinding(String value)` The name of the socket binding configuration to use if the transaction manager should use a socket-based process id.
    `Integer` | `processIdSocketMaxPorts()` The maximum number of ports to search for an open port if the transaction manager should use a socket-based process id.
    `T` | `processIdSocketMaxPorts(Integer value)` The maximum number of ports to search for an open port if the transaction manager should use a socket-based process id.
    `Boolean` | `processIdUuid()` Indicates whether the transaction manager should use a UUID based process id.
    `T` | `processIdUuid(Boolean value)` Indicates whether the transaction manager should use a UUID based process id.
    `Boolean` | `recoveryListener()` Used to specify if the recovery system should listen on a network socket or not.
    `T` | `recoveryListener(Boolean value)` Used to specify if the recovery system should listen on a network socket or not.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `String` | `socketBinding()` Used to reference the correct socket binding to use for the recovery environment.
    `T` | `socketBinding(String value)` Used to reference the correct socket binding to use for the recovery environment.
    `Boolean` | `statisticsEnabled()` Whether statistics should be enabled.
    `T` | `statisticsEnabled(Boolean value)` Whether statistics should be enabled.
    `String` | `statusSocketBinding()` Used to reference the correct socket binding to use for the transaction status manager.
    `T` | `statusSocketBinding(String value)` Used to reference the correct socket binding to use for the transaction status manager.
    `Transactions.TransactionsResources` | `subresources()`
    `Boolean` | `useJdbcStore()` Use the jdbc store for writing transaction logs.
    `T` | `useJdbcStore(Boolean value)` Use the jdbc store for writing transaction logs.
    `Boolean` | `useJournalStore()` Use the journal store for writing transaction logs.
    `T` | `useJournalStore(Boolean value)` Use the journal store for writing transaction logs.

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### Transactions

          public Transactions()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public Transactions.TransactionsResources subresources()

    - #### commitMarkableResources

          public T commitMarkableResources(List<CommitMarkableResource> value)

      Add all CommitMarkableResource objects to this subresource
      Parameters:
        `value` - List of CommitMarkableResource objects.
      Returns:
        this

    - #### commitMarkableResource

          public T commitMarkableResource(CommitMarkableResource value)

      Add the CommitMarkableResource object to the list of subresources
      Parameters:
        `value` - The CommitMarkableResource to add
      Returns:
        this

    - #### commitMarkableResource

          public T commitMarkableResource(String childKey,
                                          CommitMarkableResourceConsumer consumer)

      Create and configure a CommitMarkableResource object to the list of subresources
      Parameters:
        `key` - The key for the CommitMarkableResource resource
        `config` - The CommitMarkableResourceConsumer to use
      Returns:
        this

    - #### commitMarkableResource

          public T commitMarkableResource(String childKey)

      Create and configure a CommitMarkableResource object to the list of subresources
      Parameters:
        `key` - The key for the CommitMarkableResource resource
      Returns:
        this

    - #### commitMarkableResource

          public T commitMarkableResource(CommitMarkableResourceSupplier supplier)

      Install a supplied CommitMarkableResource object to the list of subresources

    - #### logStore

          public T logStore(LogStore value)

      Representation of the transaction logging storage mechanism.

    - #### logStore

          public T logStore(LogStoreConsumer consumer)

      Representation of the transaction logging storage mechanism.

    - #### logStore

          public T logStore()

      Representation of the transaction logging storage mechanism.

    - #### logStore

          public T logStore(LogStoreSupplier supplier)

      Representation of the transaction logging storage mechanism.

    - #### defaultTimeout

          public Integer defaultTimeout()

      The default timeout.

    - #### defaultTimeout

          public T defaultTimeout(Integer value)

      The default timeout.

    - #### enableTsmStatus

          public Boolean enableTsmStatus()

      Whether the transaction status manager (TSM) service, needed for out of process recovery, should be provided or not..

    - #### enableTsmStatus

          public T enableTsmStatus(Boolean value)

      Whether the transaction status manager (TSM) service, needed for out of process recovery, should be provided or not..

    - #### jdbcActionStoreDropTable

          public Boolean jdbcActionStoreDropTable()

      Configure if jdbc action store should drop tables. Default is false. The server should be restarted for this setting to take effect.

    - #### jdbcActionStoreDropTable

          public T jdbcActionStoreDropTable(Boolean value)

      Configure if jdbc action store should drop tables. Default is false. The server should be restarted for this setting to take effect.

    - #### jdbcActionStoreTablePrefix

          public String jdbcActionStoreTablePrefix()

      Optional prefix for table used to write transcation logs in configured jdbc action store. The server should be restarted for this setting to take effect.

    - #### jdbcActionStoreTablePrefix

          public T jdbcActionStoreTablePrefix(String value)

      Optional prefix for table used to write transcation logs in configured jdbc action store. The server should be restarted for this setting to take effect.

    - #### jdbcCommunicationStoreDropTable

          public Boolean jdbcCommunicationStoreDropTable()

      Configure if jdbc communication store should drop tables. Default is false. The server should be restarted for this setting to take effect.

    - #### jdbcCommunicationStoreDropTable

          public T jdbcCommunicationStoreDropTable(Boolean value)

      Configure if jdbc communication store should drop tables. Default is false. The server should be restarted for this setting to take effect.

    - #### jdbcCommunicationStoreTablePrefix

          public String jdbcCommunicationStoreTablePrefix()

      Optional prefix for table used to write transcation logs in configured jdbc communication store. The server should be restarted for this setting to take effect.

    - #### jdbcCommunicationStoreTablePrefix

          public T jdbcCommunicationStoreTablePrefix(String value)

      Optional prefix for table used to write transcation logs in configured jdbc communication store. The server should be restarted for this setting to take effect.

    - #### jdbcStateStoreDropTable

          public Boolean jdbcStateStoreDropTable()

      Configure if jdbc state store should drop tables. Default is false. The server should be restarted for this setting to take effect.

    - #### jdbcStateStoreDropTable

          public T jdbcStateStoreDropTable(Boolean value)

      Configure if jdbc state store should drop tables. Default is false. The server should be restarted for this setting to take effect.

    - #### jdbcStateStoreTablePrefix

          public String jdbcStateStoreTablePrefix()

      Optional prefix for table used to write transcation logs in configured jdbc state store. The server should be restarted for this setting to take effect.

    - #### jdbcStateStoreTablePrefix

          public T jdbcStateStoreTablePrefix(String value)

      Optional prefix for table used to write transcation logs in configured jdbc state store. The server should be restarted for this setting to take effect.

    - #### jdbcStoreDatasource

          public String jdbcStoreDatasource()

      Jndi name of non-XA datasource used. Datasource sghould be define in datasources subsystem. The server should be restarted for this setting to take effect.

    - #### jdbcStoreDatasource

          public T jdbcStoreDatasource(String value)

      Jndi name of non-XA datasource used. Datasource sghould be define in datasources subsystem. The server should be restarted for this setting to take effect.

    - #### journalStoreEnableAsyncIo

          public Boolean journalStoreEnableAsyncIo()

      Whether AsyncIO should be enabled for the journal store. Default is false. The server should be restarted for this setting to take effect.

    - #### journalStoreEnableAsyncIo

          public T journalStoreEnableAsyncIo(Boolean value)

      Whether AsyncIO should be enabled for the journal store. Default is false. The server should be restarted for this setting to take effect.

    - #### jts

          public Boolean jts()

      If true this enables the Java Transaction Service.

    - #### jts

          public T jts(Boolean value)

      If true this enables the Java Transaction Service.

    - #### nodeIdentifier

          public String nodeIdentifier()

      Used to set the node identifier on the core environment.

    - #### nodeIdentifier

          public T nodeIdentifier(String value)

      Used to set the node identifier on the core environment.

    - #### numberOfAbortedTransactions

          public Long numberOfAbortedTransactions()

      The number of aborted (i.e. rolledback) transactions.

    - #### numberOfAbortedTransactions

          public T numberOfAbortedTransactions(Long value)

      The number of aborted (i.e. rolledback) transactions.

    - #### numberOfApplicationRollbacks

          public Long numberOfApplicationRollbacks()

      The number of transactions that have been rolled back by application request. This includes those that timeout, since the timeout behavior is considered an attribute of the application configuration.

    - #### numberOfApplicationRollbacks

          public T numberOfApplicationRollbacks(Long value)

      The number of transactions that have been rolled back by application request. This includes those that timeout, since the timeout behavior is considered an attribute of the application configuration.

    - #### numberOfCommittedTransactions

          public Long numberOfCommittedTransactions()

      The number of committed transactions.

    - #### numberOfCommittedTransactions

          public T numberOfCommittedTransactions(Long value)

      The number of committed transactions.

    - #### numberOfHeuristics

          public Long numberOfHeuristics()

      The number of transactions which have terminated with heuristic outcomes.

    - #### numberOfHeuristics

          public T numberOfHeuristics(Long value)

      The number of transactions which have terminated with heuristic outcomes.

    - #### numberOfInflightTransactions

          public Long numberOfInflightTransactions()

      The number of transactions that have begun but not yet terminated.

    - #### numberOfInflightTransactions

          public T numberOfInflightTransactions(Long value)

      The number of transactions that have begun but not yet terminated.

    - #### numberOfNestedTransactions

          public Long numberOfNestedTransactions()

      The total number of nested (sub) transactions created.

    - #### numberOfNestedTransactions

          public T numberOfNestedTransactions(Long value)

      The total number of nested (sub) transactions created.

    - #### numberOfResourceRollbacks

          public Long numberOfResourceRollbacks()

      The number of transactions that rolled back due to resource (participant) failure.

    - #### numberOfResourceRollbacks

          public T numberOfResourceRollbacks(Long value)

      The number of transactions that rolled back due to resource (participant) failure.

    - #### numberOfTimedOutTransactions

          public Long numberOfTimedOutTransactions()

      The number of transactions that have rolled back due to timeout.

    - #### numberOfTimedOutTransactions

          public T numberOfTimedOutTransactions(Long value)

      The number of transactions that have rolled back due to timeout.

    - #### numberOfTransactions

          public Long numberOfTransactions()

      The total number of transactions (top-level and nested) created

    - #### numberOfTransactions

          public T numberOfTransactions(Long value)

      The total number of transactions (top-level and nested) created

    - #### objectStorePath

          public String objectStorePath()

      Denotes a relative or absolute filesystem path denoting where the transaction manager object store should store data. By default the value is treated as relative to the path denoted by the "relative-to" attribute.

    - #### objectStorePath

          public T objectStorePath(String value)

      Denotes a relative or absolute filesystem path denoting where the transaction manager object store should store data. By default the value is treated as relative to the path denoted by the "relative-to" attribute.

    - #### objectStoreRelativeTo

          public String objectStoreRelativeTo()

      References a global path configuration in the domain model, defaulting to the JBoss Application Server data directory (jboss.server.data.dir). The value of the "path" attribute will treated as relative to this path. Use an empty string to disable the default behavior and force the value of the "path" attribute to be treated as an absolute path.

    - #### objectStoreRelativeTo

          public T objectStoreRelativeTo(String value)

      References a global path configuration in the domain model, defaulting to the JBoss Application Server data directory (jboss.server.data.dir). The value of the "path" attribute will treated as relative to this path. Use an empty string to disable the default behavior and force the value of the "path" attribute to be treated as an absolute path.

    - #### processIdSocketBinding

          public String processIdSocketBinding()

      The name of the socket binding configuration to use if the transaction manager should use a socket-based process id. Will be 'undefined' if 'process-id-uuid' is 'true'; otherwise must be set.

    - #### processIdSocketBinding

          public T processIdSocketBinding(String value)

      The name of the socket binding configuration to use if the transaction manager should use a socket-based process id. Will be 'undefined' if 'process-id-uuid' is 'true'; otherwise must be set.

    - #### processIdSocketMaxPorts

          public Integer processIdSocketMaxPorts()

      The maximum number of ports to search for an open port if the transaction manager should use a socket-based process id. If the port specified by the socket binding referenced in 'process-id-socket-binding' is occupied, the next higher port will be tried until an open port is found or the number of ports specified by this attribute have been tried. Will be 'undefined' if 'process-id-uuid' is 'true'.

    - #### processIdSocketMaxPorts

          public T processIdSocketMaxPorts(Integer value)

      The maximum number of ports to search for an open port if the transaction manager should use a socket-based process id. If the port specified by the socket binding referenced in 'process-id-socket-binding' is occupied, the next higher port will be tried until an open port is found or the number of ports specified by this attribute have been tried. Will be 'undefined' if 'process-id-uuid' is 'true'.

    - #### processIdUuid

          public Boolean processIdUuid()

      Indicates whether the transaction manager should use a UUID based process id.

    - #### processIdUuid

          public T processIdUuid(Boolean value)

      Indicates whether the transaction manager should use a UUID based process id.

    - #### recoveryListener

          public Boolean recoveryListener()

      Used to specify if the recovery system should listen on a network socket or not.

    - #### recoveryListener

          public T recoveryListener(Boolean value)

      Used to specify if the recovery system should listen on a network socket or not.

    - #### socketBinding

          public String socketBinding()

      Used to reference the correct socket binding to use for the recovery environment.

    - #### socketBinding

          public T socketBinding(String value)

      Used to reference the correct socket binding to use for the recovery environment.

    - #### statisticsEnabled

          public Boolean statisticsEnabled()

      Whether statistics should be enabled.

    - #### statisticsEnabled

          public T statisticsEnabled(Boolean value)

      Whether statistics should be enabled.

    - #### statusSocketBinding

          public String statusSocketBinding()

      Used to reference the correct socket binding to use for the transaction status manager.

    - #### statusSocketBinding

          public T statusSocketBinding(String value)

      Used to reference the correct socket binding to use for the transaction status manager.

    - #### useJdbcStore

          public Boolean useJdbcStore()

      Use the jdbc store for writing transaction logs. Set to true to enable and to false to use the default log store type. The default log store is normally one file system file per transaction log. The server should be restarted for this setting to take effect. It's alternative to Horneq based store

    - #### useJdbcStore

          public T useJdbcStore(Boolean value)

      Use the jdbc store for writing transaction logs. Set to true to enable and to false to use the default log store type. The default log store is normally one file system file per transaction log. The server should be restarted for this setting to take effect. It's alternative to Horneq based store

    - #### useJournalStore

          public Boolean useJournalStore()

      Use the journal store for writing transaction logs. Set to true to enable and to false to use the default log store type. The default log store is normally one file system file per transaction log. The server should be restarted for this setting to take effect. It's alternative to jdbc based store.

    - #### useJournalStore

          public T useJournalStore(Boolean value)

      Use the journal store for writing transaction logs. Set to true to enable and to false to use the default log store type. The default log store is normally one file system file per transaction log. The server should be restarted for this setting to take effect. It's alternative to jdbc based store.

Copyright © 2017 JBoss by Red Hat. All rights reserved.